Summary: A set of X Window System screensavers.
Name: xscreensaver
Version: 3.22
Release: 2
Copyright: BSD
Group: Amusements/Graphics
URL: http://www.jwz.org/xscreensaver/
Source: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.gz
Patch0: xscreensaver-3.20-noseguy.patch
Patch1: xscreensaver-norandom.patch
Patch2: xscreensaver-oneshot.patch
Requires: xloadimage
Buildroot: /var/tmp/xscreensaver-root

%ifarch i386 i586 i686
%package gl
Group: Amusements/Graphics
Requires: xscreensaver = %{version}
Summary: A set of GL screensavers
%description gl

The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.
%endif

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screensavers for use with
the X Window System.

%prep
%setup -q
%patch0 -p1 -b .noseguy
%patch1 -p1 -b .norandom
%patch2 -p1 -b .oneshot

%build
RPMOPTS=""
%ifarch alpha
RPMOPTS="--without-xf86vmode-ext"
%endif
%ifarch i386 i586 i686
RPMOPTS="$RPMOPTS --with-gl"
%else
RPMOPTS="$RPMOPTS --without-gl"
%endif

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif --with-pam $RPMOPTS \
	--enable-subdir=../lib/xscreensaver
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
   AD_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
   HACKDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver \
   PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d \
   KDEDIR=$RPM_BUILD_ROOT/usr \
   install-strip

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xscreensaver <<EOF
xscreensaver name "xscreensaver (1min timeout)"
xscreensaver description "xscreensaver"
xscreensaver group "Amusements/Screen Savers"
xscreensaver exec "xscreensaver -timeout 1 -cycle 1 &"
EOF

# Build the file list. Whee...
cd $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
for hack in *; do
   if ldd $hack | grep -q GL ; then
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks
      if [ -f $RPM_BUILD_ROOT/usr/X11R6/man/man1/$hack.1 ]; then
          echo "/usr/X11R6/man/man1/$hack.1" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks
      fi
   else
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/xhacks
      if [ -f $RPM_BUILD_ROOT/usr/X11R6/man/man1/$hack.1 ]; then
          echo "/usr/X11R6/man/man1/$hack.1" >> $RPM_BUILD_DIR/xscreensaver-%{version}/xhacks
      fi
   fi
done
echo $RPM_BUILD_DIR

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xhacks
%defattr(-,root,root)
%config(missingok) /etc/pam.d/xscreensaver
%config(missingok) /etc/X11/wmconfig/xscreensaver
%attr(0755,root,root) /usr/X11R6/bin/xscreensaver
/usr/bin/xscreensaver.kss
/usr/X11R6/bin/xscreensaver-command
/usr/X11R6/bin/xscreensaver-demo
%config /usr/X11R6/lib/X11/app-defaults/XScreenSaver
/usr/X11R6/man/man1/xscreensaver*.1

%dir /usr/X11R6/lib/xscreensaver

%ifarch i386 i586 i686
%files -f glhacks gl
%defattr(-,root,root)
%endif

%changelog
* Tue Dec 14 1999 Peter Hanecak <hanecak@megaloman.sk>
- compile with GL even on i586 and i686

* Fri Dec 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.22
- turn off xf86vmode on alpha

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- mmm... hardware accelerated GL on i386. :) :)

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- 3.21
- use shm on alpha, let's see what breaks

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.20

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- update to 3.19

* Thu Oct 14 1999 Bill Nottingham <notting@redhat.com>
- update to 3.18

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add a '-oneshot' single time lock option.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- take webcollage out of random list (for people who pay for bandwidth)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- patch webcollage to use xloadimage
- in the random list, run petri with -size 2 to save memory
- extend RPM silliness to man pages, too.

* Mon Jul 19 1999 Bill Nottingham <notting@redhat.com>
- update to 3.17
- add a little RPM silliness to package GL stuff if it's built

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- update to 3.16

* Mon May 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.12

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- remove security problem introduced earlier

* Wed Apr 28 1999 Bill Nottingham <notting@redhat.com>
- update to 3.10

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc

